> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/json-rpc-2.1/reference/partner.md).

# Partner

Use the **Partner** object to search and retrieve partner information.

## Parameters

| Parameter               | Type / Description                                                                                                                                                                                                                                                                                 |
| ----------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| ***Partner***           | ***Object***                                                                                                                                                                                                                                                                                       |
| `PartnerCode`           | <p><strong>String</strong><br>Unique identifier that you need to specify when creating a partner in the Control Panel. You can find it under the <strong>General Information</strong> area when editing partner details.</p>                                                                       |
| `CompanyName`           | <p><strong>String</strong><br>The name of your partner company.</p>                                                                                                                                                                                                                                |
| `Email`                 | <p><strong>String</strong><br>The partner email address specified in the <strong>Contact Information</strong> area.</p>                                                                                                                                                                            |
| `CommunicationLanguage` | <p><strong>String</strong><br>ISO 639-1 two-letter language code set for the communication language under <strong>Contact information</strong>.</p><p>Case sensitive: <strong>'en'</strong> instead of <strong>'EN'</strong>.</p><p>Possible values:</p><ul><li>en</li><li>fr</li><li>de</li></ul> |
| `Currency`              | <p><strong>String</strong><br>The ISO code of the currency set for the partner - ISO 4217. This currency governs transactions between you and the partner. You can configure it in the <strong>Commercial settings</strong> section, under <strong>Payment information</strong>.</p>               |
| `CreditLimit`           | <p><strong>Double</strong><br>The credit limit set for the partner. Can be NULL when no credit is offered.</p>                                                                                                                                                                                     |
| `AvailableCreditLimit`  | <p><strong>Double</strong><br>The credit still available to the partner, after the value of orders already placed but not paid was deducted from the total credit limit configured. Can be NULL when no credit limit is defined.</p>                                                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/json-rpc-2.1/reference/partner.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
